Skip to content

List completed payments

Request

Fetch completed payments used to fund the transfer.

In most cases there should only be a single payment associated with the transfer. There are rare occasions that a transfer can be funded with multiple payment methods and when this occurs the first completed payment method would be used to calculate the fees provided on the quote.

Security
UserToken or PersonalToken
Path
transferIdinteger, (int64)required

The transfer ID

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/2026Q3/transfers/{transferId}/payments' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

Returns a list of completed payment objects.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
Array [
idinteger, (int64)

Payment ID

Example:50000000
methodstring

The payment method used to pay for the transfer

Example:"BANK_TRANSFER"
pricingVariantstring or null

The qualifier that allows to apply different pricing policy within the same payment method. Often the value might be the payment method itself

Example:null
amountnumber

Transfer source amount

Example:1000
currencystring

Transfer source currency

Example:"GBP"
timeCreatedstring, (date-time)

Date of when payment was created

Example:"2020-01-01T12:30:15.000Z"
timeUpdatedstring, (date-time)

Date of when payment was updated

Example:"2020-01-01T12:30:15.000Z"
]
Response
[ { "id": 50000000, "method": "BANK_TRANSFER", "pricingVariant": null, "amount": 1000, "currency": "GBP", "timeCreated": "2020-01-01T12:30:15.000Z", "timeUpdated": "2020-01-01T12:30:15.000Z" } ]